# Get gasless order status (GET /orders)

Operation `get_order` of the Uniswap API. Base URL: `https://trade-api.gateway.uniswap.org/v1`.

Retrieve one or more gasless orders filtered, optionally filered by query param(s). The request must at minimum include one of the following parameters: `orderId`, `orderIds`, `orderStatus`, `swapper`, or `filler`.

Parameters: 10 query, 1 header · Auth: apiKey · Responses: 200, 400, 404, 429, 500, 503, 504

## Query parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `orderType` | enum | no | The UniswapX order type to retrieve. |
| `orderId` | string | no | A transaction hash for an order. `orderId` or `orderIds` must be provided, but not both. |
| `orderIds` | string | no | A list of comma separated orderIds (transaction hashes). `orderId` or `orderIds` must be provided, but not both. |
| `limit` | number | no |  |
| `orderStatus` | enum | no | Filter by order status. |
| `swapper` | string | no | Filter by swapper address. |
| `sortKey` | enum | no | Order the query results by the sort key. |
| `sort` | string | no | Sort query. For example: `sort=gt(UNIX_TIMESTAMP)`, `sort=between(1675872827, 1675872930)`, or `lt(1675872930)`. |
| `filler` | string | no | Filter by filler address. |
| `cursor` | string | no |  |

## Headers

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `x-api-key` | string | yes | Your API key for authentication. |

## Responses

- `200` — The request orders matching the query parameters.
- `400` — RequestValidationError eg. Token allowance not valid or Insufficient Funds.
- `404` — Orders not found.
- `429` — Ratelimited
- `500` — Unexpected error
- `503` — Upstream UniswapX service unavailable while fetching orders.
- `504` — Request duration limit reached.

Interactive playground: https://developers.uniswap.org/docs/api-reference/get_order
All endpoints: https://developers.uniswap.org/docs/api-reference
